MINOVAES - PRODUCT - Feature #2439

Fitur untuk menghapus data tabel transaksi, employee, organization melalui menu
12/11/2023 06:29 PM - Muhammad Bintar

Status: Assigned Start date: 12/11/2023
Priority: Normal Due date: 12/29/2023
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer minta support untuk pembuatan menu delete isi tabel untuk memudahkan dalam implementasi ke client baru.

History

#1 - 12/12/2023 11:57 AM - Kezia Pawitra Yulianti
- Due date changed from 12/18/2023 to 12/29/2023

- Status changed from New to Assigned

Menu ini di pakai untuk kebutuhan cleansing data saat bikin port baru untuk client baru
Kalau bisa di infokan tabel2 apa aja yg perlu di cleansing (dr sisi table type nya seperti master data, transaksi)
Dan untuk tabel2 yg sifatnya Product atau System, jangan ikut di cleansing ya

Tks

#2 - 12/18/2023 10:21 AM - Muhammad Bintar

ini ya shofwan tabel2 nya

MODULE PA

DELETE FROM dbo.PHRPA0001
DELETE FROM dbo.PHRPA0002
DELETE FROM dbo.PHRPA0003
DELETE FROM dbo.PHRPA0004
DELETE FROM dbo.PHRPA0005
DELETE FROM dbo.PHRPA0006
DELETE FROM dbo.PHRPA0007
DELETE FROM dbo.PHRPA0008
DELETE FROM dbo.PHRPA0009
DELETE FROM dbo.PHRPA0010
DELETE FROM dbo.PHRPA0011
DELETE FROM dbo.PHRPA0012
DELETE FROM dbo.PHRPA0013
DELETE FROM dbo.PHRPA0014
DELETE FROM dbo.PHRPA0015
DELETE FROM dbo.PHRPA0016
DELETE FROM dbo.PHRPA0017
DELETE FROM dbo.PHRPA0018
DELETE FROM dbo.PHRPA0019
DELETE FROM dbo.PHRPA0020
DELETE FROM dbo.PHRPA0021
DELETE FROM dbo.PHRPA0022
DELETE FROM dbo.PHRPA0023
DELETE FROM dbo.PHRPA0024
DELETE FROM dbo.PHRPA0025
DELETE FROM dbo.PHRPA0026
DELETE FROM dbo.PHRPA0029
DELETE FROM dbo.PHRPA0032
DELETE FROM dbo.PHRPA0033
DELETE FROM dbo.PHRPA0034
DELETE FROM dbo.PHRPA0035
DELETE FROM dbo.PHRPA0037
DELETE FROM dbo.PHRPA0039
DELETE FROM dbo.PHRPA0040
DELETE FROM dbo.PHRPA0041
DELETE FROM dbo.PHRPA0042
DELETE FROM dbo.PHRPA0043
DELETE FROM dbo.PHRPA0045
DELETE FROM dbo.PHRPA0046
DELETE FROM dbo.PHRPA0047
DELETE FROM dbo.PHRPA0048
DELETE FROM dbo.PHRPA0049
DELETE FROM dbo.PHRPA0052
DELETE FROM dbo.PHRPA0055
DELETE FROM dbo.PHRPA0057
DELETE FROM dbo.PHRPA0060
DELETE FROM dbo.PHRPA0125

MODULE Transaksi Payroll

DELETE FROM PHRPYTR0300
DELETE FROM PHRPYTR0300SIM
DELETE FROM PHRPYTR0301
DELETE FROM PHRPYTR0301CUM
DELETE FROM PHRPYTRO301RET
DELETE FROM PHRPYTRO0301RETSIM
DELETE FROM PHRPYTR0301SIM
DELETE FROM PHRPYTR0302
DELETE FROM PHRPYTR0303
DELETE FROM PHRPYTR0304
DELETE FROM PHRPYTR0800

module OM

Delete From PHROMO0001
Delete From PHROMO0002
Delete From PHROMO0003
Delete From PHROMO0004
Delete From PHROMO0005
Delete From PHROMO0006
Delete From PHROMO0007
Delete From PHROMO0008
Delete From PHROMO0009
Delete From PHROMO0010
Delete From PHROMO0011
Delete From PHROMO0013
Delete From PHROMO0014
Delete From PHROMO0015
Delete From PHROMO0016
Delete From PHROMO0017
Delete From PHROMO0018
Delete From PHROMO0019
Delete From PHROMO0020
Delete From PHROMO0021
Delete From PHROMO0022
Delete From PHROMO0025
Delete From PHROMO0026
Delete From PHROMO0027
Delete From PHROMO0028
Delete From PHROMO0029
Delete From PHROMO0031
Delete From PHROMO0032
Delete From PHROMO0033
Delete From PHROMO0034
Delete From PHROMO0035
Delete From PHROMO0036
Delete From PHROMO0037
Delete From PHROMO0041
Delete From PHROMO0042
Delete From PHROMO0045
Delete From PHROMO0046
Delete From PHROMO0047
Delete From PHROMO0048
Delete From PHROMO0050
Delete From PHROMO0052
Delete From PHROMO0055
Delete From PHROMO0101

Module Applicant Master Data

Delete From PHRRCO0001
Delete From PHRRC0002
Delete From PHRRC0003
Delete From PHRRC0004
Delete From PHRRC0006
Delete From PHRRC0007
Delete From PHRRC0008
Delete From PHRRC0009
Delete From PHRRC0012
Delete From PHRRC0013
Delete From PHRRC0021
Delete From PHRRC0024
Delete From PHRRC0026
Delete From PHRRC0027
Delete From PHRRC0037
Delete From PHRRC0045

terus ini update objectid nya supaya kereset semua organization, positionid, dll

UPDATE [dbo].[PCMEPORMOBJ]
SET [LastID] = '00000001"

terus yang ini update untuk objectid requestid di reset kembali ke angka 1
UPDATE [dbo].[PCMEPAPPCONFIG]
SET [Value] ='1'

WHERE
ConfigName="WorkFlowLastReqID'
